<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of Dotclear 2 Gallery plugin.
#
# Copyright (c) 2004-2008 Bruno Hondelatte, and contributors. 
# Many, many thanks to Olivier Meunier and the Dotclear Team.
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { exit; }

$core->meta = new dcMeta($core);
$core->media = new dcMedia($core);
$params=array();

$dirs_combo = array();
foreach ($core->media->getRootDirs() as $v) {
	if ($v->relname == "")
		$dirs_combo['/'] = ".";
	else
		$dirs_combo['/'.$v->relname] = $v->relname;
}

?>
<html>
<head>
  <title><?php echo __('Gallery Items'); ?></title>
  <?php echo '<script type="text/javascript">'."\n".
	"//<![CDATA[\n".
		"dotclear.maxajaxrequests = ".$core->blog->settings->easythumb->easythumb_nb_ajax_req.";\n".
		"dotclear.msg.deleting_orphan_media = '".html::escapeJS(__('Deleting orphan media'))."';\n".
		"dotclear.msg.deleting_orphan_items = '".html::escapeJS(__('Deleting orphan image-posts'))."';\n".
		"dotclear.msg.creating_media = '".html::escapeJS(__('Creating media : %s'))."';\n".
		"dotclear.msg.creating_item = '".html::escapeJS(__('Creating image-post for : %s'))."';\n".
		"dotclear.msg.creating_thumbnail = '".html::escapeJS(__('Creating thumbnails for : %s'))."';\n".
	"\n//]]>\n".
	"</script>\n".
			dcPage::jsLoad('index.php?pf=easythumb/js/jquery.ajaxmanager.js').
			dcPage::jsLoad('index.php?pf=easythumb/js/_ajax_tools.js').
			dcPage::jsLoad('index.php?pf=easythumb/js/_easythumb.js').
			dcPage::jsPageTabs("new_items");
  ?>
  <link rel="stylesheet" type="text/css" href="index.php?pf=gallery/admin_css/style.css" />
</head>
<body>

<?php
echo '<h2>'.html::escapeHTML($core->blog->name).' &gt; '.__('Easy Thumbs').' (<i>&#9836; easy go, will you let me... &#9835;</i>)</h2>';

echo '<form action="#" method="post" id="dir-form" onsubmit="return false;">'.
	'<fieldset><legend>'.__('New Items').'</legend>'.
	'<p><label class="classic">'.__('Select directory to analyse :')."&nbsp;".
	form::combo('media_dir',$dirs_combo,'').'</label></p> '.

	'<input type="button" class="proceed" value="'.__('proceed').'" />'.
	'</fieldset></form>';
echo '<form action="#" method="post" id="actions-form" onsubmit="return false;">'.
	'<fieldset id="dirresults"><legend>'.__('Directory results').' : <span id="directory"></span></legend>'.
	'<table>'.
	'<tr><th>'.__('Request').'</th><th>'.__('Result').'</th><th colspan="2">'.__('Action').'</th></tr>'.
	'<tr><td>'.__('Number of orphan media (ie. media entries in database whose matching file no more exists):').'</td><td id="nborphanmedia" class="tdresult">&nbsp;</td>'.
		'<td>'.form::checkbox('delete_orphan_media',1,1).'</td><td>'.__('Delete orphan media').'</td></tr>'.
	'<tr><td>'.__('Number of new files detected (not currently known by dotclear):').'</td><td id="nbnewmedia" class="tdresult">&nbsp;</td>'.
		'<td>'.form::checkbox('create_new_media',1,1).'</td><td>'.__('Add files to database').'</td></tr>'.
	'<tr><td>'.__('Number of media in directory :').'</td><td id="nbcurmedia" class="tdresult">&nbsp;</td>'.
		'<td>'.form::checkbox('force_thumbnails',1,0).'</td><td>'.__('Force existing thumbnails to be regenerated').'</td></tr>'.
	'</table>'.
	'<input type="button" class="proceed" value="'.__('proceed').'" />'.
	'</fieldset></form>';
	
echo '<fieldset id="itemsresults"><legend>'.__('Operations').'</legend>'.
	'<form action="#" onsubmit="return false;"><p><input type="button" id="abort" value="'.__('Abort processing').'"/></p></form>'.
	'<table id="resulttable">'.
	'<tr class="keepme"><th>'.__('Request').'</th><th>'.__('Result').'</th></tr>'.
	'</table>'.
	'</fieldset>';

?>

</body>
</html>